Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 3560)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 3562)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3467 2018-10-30 19:05:21Z suehring
 ! Implementation of a new aerosol module salsa.
 ! 
@@ -263,6 +266,6 @@
     INTEGER(iwp) ::  m  !< running index surface elements
 
-    REAL(wp)    ::  c_max !<
-    REAL(wp)    ::  denom !<
+    REAL(wp)    ::  c_max !< maximum phase velocity allowed by CFL criterion, used for outflow boundary condition
+    REAL(wp)    ::  denom !< horizontal gradient of velocity component normal to the outflow boundary 
 
 
Index: palm/trunk/SOURCE/lpm_advec.f90
===================================================================
--- palm/trunk/SOURCE/lpm_advec.f90	(revision 3560)
+++ palm/trunk/SOURCE/lpm_advec.f90	(revision 3562)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3274 2018-09-24 15:42:55Z knoop
 ! Modularization of all bulk cloud physics code components
 ! 
@@ -243,14 +246,14 @@
     REAL(wp) ::  diss_int_u         !< x/y-interpolated dissipation at particle position at upper vertical level
     REAL(wp) ::  dt_particle_m      !< previous particle time step
-    REAL(wp) ::  dz_temp            !< 
+    REAL(wp) ::  dz_temp            !< dummy for the vertical grid spacing
     REAL(wp) ::  e_int_l            !< x/y-interpolated TKE at particle position at lower vertical level
     REAL(wp) ::  e_int_u            !< x/y-interpolated TKE at particle position at upper vertical level
     REAL(wp) ::  e_mean_int         !< horizontal mean TKE at particle height
-    REAL(wp) ::  exp_arg            !<
-    REAL(wp) ::  exp_term           !<
+    REAL(wp) ::  exp_arg            !< argument in the exponent - particle radius
+    REAL(wp) ::  exp_term           !< exponent term
     REAL(wp) ::  gg                 !< dummy argument for horizontal particle interpolation 
     REAL(wp) ::  height_p           !< dummy argument for logarithmic interpolation
     REAL(wp) ::  log_z_z0_int       !< logarithmus used for surface_layer interpolation
-    REAL(wp) ::  random_gauss       !<
+    REAL(wp) ::  random_gauss       !< Gaussian-distributed random number used for SGS particle advection
     REAL(wp) ::  RL                 !< Lagrangian autocorrelation coefficient
     REAL(wp) ::  rg1                !< Gaussian distributed random number
@@ -265,5 +268,5 @@
     REAL(wp) ::  v_int_u            !< x/y-interpolated v-component at particle position at upper vertical level
     REAL(wp) ::  vsws_int           !< surface momentum flux (u component) at particle grid box
-    REAL(wp) ::  vv_int             !<
+    REAL(wp) ::  vv_int             !< dummy to compute interpolated mean SGS TKE, used to scale SGS advection 
     REAL(wp) ::  w_int_l            !< x/y-interpolated w-component at particle position at lower vertical level
     REAL(wp) ::  w_int_u            !< x/y-interpolated w-component at particle position at upper vertical level
@@ -281,5 +284,5 @@
 
     REAL(wp), DIMENSION(number_of_particles) ::  term_1_2       !< flag to communicate whether a particle is near topography or not
-    REAL(wp), DIMENSION(number_of_particles) ::  dens_ratio     !<
+    REAL(wp), DIMENSION(number_of_particles) ::  dens_ratio     !< ratio between the density of the fluid and the density of the particles 
     REAL(wp), DIMENSION(number_of_particles) ::  de_dx_int      !< horizontal TKE gradient along x at particle position
     REAL(wp), DIMENSION(number_of_particles) ::  de_dy_int      !< horizontal TKE gradient along y at particle position
@@ -291,7 +294,7 @@
     REAL(wp), DIMENSION(number_of_particles) ::  fs_int         !< weighting factor for subgrid-scale particle speed
     REAL(wp), DIMENSION(number_of_particles) ::  lagr_timescale !< Lagrangian timescale
-    REAL(wp), DIMENSION(number_of_particles) ::  rvar1_temp     !< 
-    REAL(wp), DIMENSION(number_of_particles) ::  rvar2_temp     !< 
-    REAL(wp), DIMENSION(number_of_particles) ::  rvar3_temp     !< 
+    REAL(wp), DIMENSION(number_of_particles) ::  rvar1_temp     !< SGS particle velocity - u-component
+    REAL(wp), DIMENSION(number_of_particles) ::  rvar2_temp     !< SGS particle velocity - v-component
+    REAL(wp), DIMENSION(number_of_particles) ::  rvar3_temp     !< SGS particle velocity - w-component
     REAL(wp), DIMENSION(number_of_particles) ::  u_int          !< u-component of particle speed
     REAL(wp), DIMENSION(number_of_particles) ::  v_int          !< v-component of particle speed 
Index: palm/trunk/SOURCE/lpm_boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 3560)
+++ palm/trunk/SOURCE/lpm_boundary_conds.f90	(revision 3562)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! variables documented
+! 
+! 3241 2018-09-12 15:02:00Z raasch
 ! unused variables removed
 ! 
@@ -146,9 +149,10 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  location     !<
+    CHARACTER (LEN=*) ::  location !< general mode: boundary conditions at bottom/top of the model domain
+                                   !< or at vertical surfaces (buildings, terrain steps)
     
-    INTEGER(iwp), INTENT(IN) ::  i !< 
-    INTEGER(iwp), INTENT(IN) ::  j !<
-    INTEGER(iwp), INTENT(IN) ::  k !<
+    INTEGER(iwp), INTENT(IN) ::  i !< grid index of particle box along x
+    INTEGER(iwp), INTENT(IN) ::  j !< grid index of particle box along y
+    INTEGER(iwp), INTENT(IN) ::  k !< grid index of particle box along z
     
     INTEGER(iwp) ::  inc            !< dummy for sorting algorithmus