Index: /palm/trunk/SCRIPTS/palmrun
===================================================================
--- /palm/trunk/SCRIPTS/palmrun	(revision 3569)
+++ /palm/trunk/SCRIPTS/palmrun	(revision 3570)
@@ -27,4 +27,7 @@
 # -----------------
 # $Id$
+# Rename job-id by run_id
+# 
+# 3555 2018-11-22 13:50:37Z raasch
 # sed-command to remove repeated space-characters replaced by tr-command, to
 # guarantee mac compatible
@@ -3015,5 +3018,5 @@
 
              # SUBMIT THE JOB
-          printf " *** submit the job (output of submit command, e.g. the job-id, may follow) \n"
+          printf " *** submit the job (output of submit command, e.g. the run_id, may follow) \n"
           if [[ $do_trace = true ]]
           then
Index: /palm/trunk/SOURCE/chem_emissions_mod.f90
===================================================================
--- /palm/trunk/SOURCE/chem_emissions_mod.f90	(revision 3569)
+++ /palm/trunk/SOURCE/chem_emissions_mod.f90	(revision 3570)
@@ -27,4 +27,8 @@
 ! -----------------
 ! $Id$
+! resler:
+! Break lines at 132 characters
+!
+! 3483 2018-11-02 14:19:26Z raasch
 ! bugfix: wrong locations of netCDF directives fixed
 ! 
@@ -704,5 +708,6 @@
                 DO  ispec = 1 , len_index
 
-                   IF ( emiss_factor_main(match_spec_input(ispec)) .LT. 0 .AND. emiss_factor_side(match_spec_input(ispec)) .LT. 0 ) THEN
+                   IF ( emiss_factor_main(match_spec_input(ispec)) .LT. 0 .AND. &
+                        emiss_factor_side(match_spec_input(ispec)) .LT. 0 ) THEN
 
                       message_string = 'PARAMETERIZED emissions mode selected:'            //          &
@@ -1185,6 +1190,7 @@
         
           !Assign Constant Values of time factors, diurnal time profile for traffic sector:
-          par_emis_time_factor( : ) = (/ 0.009, 0.004, 0.004, 0.009, 0.029, 0.039, 0.056, 0.053, 0.051, 0.051, 0.052, 0.055, &
-                                                 0.059, 0.061, 0.064, 0.067, 0.069, 0.069, 0.049, 0.039, 0.039, 0.029, 0.024, 0.019 /)
+          par_emis_time_factor( : ) = &
+            (/ 0.009, 0.004, 0.004, 0.009, 0.029, 0.039, 0.056, 0.053, 0.051, 0.051, 0.052, 0.055, &
+               0.059, 0.061, 0.064, 0.067, 0.069, 0.069, 0.049, 0.039, 0.039, 0.029, 0.024, 0.019 /)
           
           !> in this case allocate time factor each hour in a day
@@ -1249,26 +1255,30 @@
              !> NOX Compositions
                 IF (TRIM(spc_names(match_spec_model(ispec)))=="NO") THEN
-                !>             Kg/m2*s                   kg/m2*s                                                    
-                   delta_emis(nys:nyn,nxl:nxr) = emis(nys:nyn,nxl:nxr)*time_factor(icat)*emt_att%nox_comp(icat,1)*con_factor*hour_per_day
-                   
+                !>             Kg/m2*s                   kg/m2*s
+                   delta_emis(nys:nyn,nxl:nxr) = emis(nys:nyn,nxl:nxr)*time_factor(icat)* &
+                                                 emt_att%nox_comp(icat,1)*con_factor*hour_per_day
+
                    emis_distribution(1,nys:nyn,nxl:nxr,ispec)=emis_distribution(1,nys:nyn,nxl:nxr,ispec)+delta_emis(nys:nyn,nxl:nxr)
 
                 ELSE IF (TRIM(spc_names(match_spec_model(ispec)))=="NO2") THEN
-   
-                   delta_emis(nys:nyn,nxl:nxr) = emis(nys:nyn,nxl:nxr)*time_factor(icat)*emt_att%nox_comp(icat,2)*con_factor*hour_per_day
+
+                   delta_emis(nys:nyn,nxl:nxr) = emis(nys:nyn,nxl:nxr)*time_factor(icat)* &
+                                                 emt_att%nox_comp(icat,2)*con_factor*hour_per_day
 
                    emis_distribution(1,nys:nyn,nxl:nxr,ispec)=emis_distribution(1,nys:nyn,nxl:nxr,ispec)+delta_emis(nys:nyn,nxl:nxr)
  
              !> SOX Compositions
-                      
+
                 ELSE IF (TRIM(spc_names(match_spec_model(ispec)))=="SO2") THEN
-                   !>             Kg/m2*s                   kg/m2*s                                                                        
-                   delta_emis(nys:nyn,nxl:nxr) = emis(nys:nyn,nxl:nxr)*time_factor(icat)*emt_att%sox_comp(icat,1)*con_factor*hour_per_day
+                   !>             Kg/m2*s                   kg/m2*s
+                   delta_emis(nys:nyn,nxl:nxr) = emis(nys:nyn,nxl:nxr)*time_factor(icat)* &
+                                                 emt_att%sox_comp(icat,1)*con_factor*hour_per_day
 
                    emis_distribution(1,nys:nyn,nxl:nxr,ispec)=emis_distribution(1,nys:nyn,nxl:nxr,ispec)+delta_emis(nys:nyn,nxl:nxr)
 
                 ELSE IF (TRIM(spc_names(match_spec_model(ispec)))=="SO4") THEN
-                   !>             Kg/m2*s                   kg/m2*s                                                                          
-                   delta_emis(nys:nyn,nxl:nxr) = emis(nys:nyn,nxl:nxr)*time_factor(icat)*emt_att%sox_comp(icat,2)*con_factor*hour_per_day
+                   !>             Kg/m2*s                   kg/m2*s
+                   delta_emis(nys:nyn,nxl:nxr) = emis(nys:nyn,nxl:nxr)*time_factor(icat)* &
+                                                 emt_att%sox_comp(icat,2)*con_factor*hour_per_day
 
                    emis_distribution(1,nys:nyn,nxl:nxr,ispec)=emis_distribution(1,nys:nyn,nxl:nxr,ispec)+delta_emis(nys:nyn,nxl:nxr)
@@ -1282,8 +1292,9 @@
                    DO i_pm_comp= 1,SIZE(emt_att%pm_comp(1,:,1))
 
-                      delta_emis(nys:nyn,nxl:nxr) = emis(nys:nyn,nxl:nxr)*time_factor(icat)*emt_att%pm_comp(icat,i_pm_comp,1)*con_factor*hour_per_day 
-                                                                                         
-
-                      emis_distribution(1,nys:nyn,nxl:nxr,ispec)=emis_distribution(1,nys:nyn,nxl:nxr,ispec)+delta_emis(nys:nyn,nxl:nxr)
+                      delta_emis(nys:nyn,nxl:nxr) = emis(nys:nyn,nxl:nxr)*time_factor(icat)* &
+                                                    emt_att%pm_comp(icat,i_pm_comp,1)*con_factor*hour_per_day 
+
+                      emis_distribution(1,nys:nyn,nxl:nxr,ispec)=emis_distribution(1,nys:nyn,nxl:nxr,ispec)+ &
+                                                                 delta_emis(nys:nyn,nxl:nxr)
  
                    ENDDO
@@ -1295,8 +1306,9 @@
                    DO i_pm_comp= 1,SIZE(emt_att%pm_comp(1,:,2))
 
-                      delta_emis(nys:nyn,nxl:nxr) = emis(nys:nyn,nxl:nxr)*time_factor(icat)*emt_att%pm_comp(icat,i_pm_comp,2)*con_factor*hour_per_day 
-                                                                                         
-
-                      emis_distribution(1,nys:nyn,nxl:nxr,ispec)=emis_distribution(1,nys:nyn,nxl:nxr,ispec)+delta_emis(nys:nyn,nxl:nxr)
+                      delta_emis(nys:nyn,nxl:nxr) = emis(nys:nyn,nxl:nxr)*time_factor(icat)* &
+                                                    emt_att%pm_comp(icat,i_pm_comp,2)*con_factor*hour_per_day 
+
+                      emis_distribution(1,nys:nyn,nxl:nxr,ispec)=emis_distribution(1,nys:nyn,nxl:nxr,ispec)+ &
+                                                                 delta_emis(nys:nyn,nxl:nxr)
  
                    ENDDO
@@ -1307,9 +1319,10 @@
                 !> Cycle over the different pm components for PM10 type
                    DO i_pm_comp= 1,SIZE(emt_att%pm_comp(1,:,3))  
-                       
-                      delta_emis(nys:nyn,nxl:nxr) = emis(nys:nyn,nxl:nxr)*time_factor(icat)*emt_att%pm_comp(icat,i_pm_comp,3)*con_factor*hour_per_day 
-                                                                                                 
-
-                      emis_distribution(1,nys:nyn,nxl:nxr,ispec)=emis_distribution(1,nys:nyn,nxl:nxr,ispec)+delta_emis(nys:nyn,nxl:nxr) 
+
+                      delta_emis(nys:nyn,nxl:nxr) = emis(nys:nyn,nxl:nxr)*time_factor(icat)* &
+                                                    emt_att%pm_comp(icat,i_pm_comp,3)*con_factor*hour_per_day 
+
+                      emis_distribution(1,nys:nyn,nxl:nxr,ispec)=emis_distribution(1,nys:nyn,nxl:nxr,ispec)+ &
+                                                                 delta_emis(nys:nyn,nxl:nxr) 
 
                    ENDDO
@@ -1326,5 +1339,6 @@
                                                        emt_att%voc_comp(icat,match_spec_voc_input(ivoc))*con_factor*hour_per_day
 
-                         emis_distribution(1,nys:nyn,nxl:nxr,ispec)=emis_distribution(1,nys:nyn,nxl:nxr,ispec)+delta_emis(nys:nyn,nxl:nxr) 
+                         emis_distribution(1,nys:nyn,nxl:nxr,ispec)=emis_distribution(1,nys:nyn,nxl:nxr,ispec)+ &
+                                                                    delta_emis(nys:nyn,nxl:nxr) 
 
                       ENDIF                       
@@ -1379,8 +1393,9 @@
 
                          !> PMs are already in mass units: kilograms 
-                         IF (TRIM(spc_names(match_spec_model(ispec)))=="PM1" .OR. TRIM(spc_names(match_spec_model(ispec)))=="PM25"  &
+                         IF (TRIM(spc_names(match_spec_model(ispec)))=="PM1" &
+                             .OR. TRIM(spc_names(match_spec_model(ispec)))=="PM25"  &
                              .OR. TRIM(spc_names(match_spec_model(ispec)))=="PM10") THEN
 
-                            !              kg/(m^2*s) *kg/m^3                                
+                            !              kg/(m^2*s) *kg/m^3
                             surf_lsm_h%cssws(match_spec_model(ispec),m) = emiss_factor_main(match_spec_input(ispec)) * &
                             !                                                       kg/(m^2*s)
@@ -1413,5 +1428,6 @@
 
                          !> PMs are already in mass units: micrograms
-                         IF (TRIM(spc_names(match_spec_model(ispec)))=="PM1" .OR. TRIM(spc_names(match_spec_model(ispec)))=="PM25"  &
+                         IF (TRIM(spc_names(match_spec_model(ispec)))=="PM1" &
+                             .OR. TRIM(spc_names(match_spec_model(ispec)))=="PM25"  &
                              .OR. TRIM(spc_names(match_spec_model(ispec)))=="PM10") THEN
 
Index: /palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3569)
+++ /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3570)
@@ -21,5 +21,5 @@
 !
 ! Current revisions:
-! -----------------
+! ------------------
 ! 
 ! 
@@ -27,4 +27,8 @@
 ! -----------------
 ! $Id$
+! resler:
+! Break lines at 132 characters
+! 
+! 3543 2018-11-20 17:06:15Z suehring
 ! Remove tabs
 ! 
@@ -323,22 +327,30 @@
     !
     ! Set alpha for f_light (4.57 is conversion factor from 1./(mumol m-2 s-1) naar W m-2
-    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: alpha   =(/0.009,0.009, 0.009,0.006,0.006, -999., -999.,0.009,-999.,-999.,0.009,0.006,-999.,0.009,0.008/)*4.57
+    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: alpha   = &
+      (/0.009,0.009, 0.009,0.006,0.006, -999., -999.,0.009,-999.,-999.,0.009,0.006,-999.,0.009,0.008/)*4.57
     !
     ! Set temperatures per land use for F_temp
-    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: Tmin =   (/12.0, 12.0,  12.0,  0.0,  0.0, -999., -999., 12.0, -999., -999., 12.0,  0.0, -999., 12.0,  8.0/)
-    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: Topt =   (/26.0, 26.0,  26.0, 18.0, 20.0, -999., -999., 26.0, -999., -999., 26.0, 20.0, -999., 26.0, 24.0 /)
-    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: Tmax =   (/40.0, 40.0,  40.0, 36.0, 35.0, -999., -999., 40.0, -999., -999., 40.0, 35.0, -999., 40.0, 39.0 /)
+    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: Tmin = &
+      (/12.0, 12.0,  12.0,  0.0,  0.0, -999., -999., 12.0, -999., -999., 12.0,  0.0, -999., 12.0,  8.0/)
+    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: Topt = &
+      (/26.0, 26.0,  26.0, 18.0, 20.0, -999., -999., 26.0, -999., -999., 26.0, 20.0, -999., 26.0, 24.0 /)
+    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: Tmax = &
+      (/40.0, 40.0,  40.0, 36.0, 35.0, -999., -999., 40.0, -999., -999., 40.0, 35.0, -999., 40.0, 39.0 /)
     !
     ! Set F_min:
-    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: F_min   =(/0.01, 0.01,  0.01, 0.1,  0.1,   -999., -999.,0.01, -999.,-999.,0.01,0.1,-999.,0.01, 0.04/)
+    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: F_min = &
+      (/0.01, 0.01,  0.01, 0.1,  0.1,   -999., -999.,0.01, -999.,-999.,0.01,0.1,-999.,0.01, 0.04/)
     
     ! Set maximal conductance (m/s)
     ! (R T/P) = 1/41000 mmol/m3 is given for 20 deg C to go from  mmol O3/m2/s to m/s
     ! Could be refined to a function of T and P. in Jones
-    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: g_max   =(/270., 300.,  300., 140., 150.,  -999., -999.,270., -999.,-999.,270., 150.,-999.,300., 422./)/41000
+    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: g_max = &
+      (/270., 300.,  300., 140., 150.,  -999., -999.,270., -999.,-999.,270., 150.,-999.,300., 422./)/41000
     !
     ! Set max, min for vapour pressure deficit vpd;
-    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: vpd_max =(/1.3,  0.9,   0.9,  0.5,  1.0,   -999., -999.,1.3,  -999.,-999.,1.3,1.0,  -999.,0.9, 2.8/) 
-    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: vpd_min =(/3.0,  2.8,   2.8,  3.0,  3.25,  -999., -999.,3.0,  -999.,-999.,3.0,3.25, -999.,2.8, 4.5/) 
+    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: vpd_max = &
+      (/1.3,  0.9,   0.9,  0.5,  1.0,   -999., -999.,1.3,  -999.,-999.,1.3,1.0,  -999.,0.9, 2.8/) 
+    REAL(wp), DIMENSION(nlu_dep), PARAMETER :: vpd_min = &
+      (/3.0,  2.8,   2.8,  3.0,  3.25,  -999., -999.,3.0,  -999.,-999.,3.0,3.25, -999.,2.8, 4.5/) 
     !
     !  
@@ -4958,6 +4970,8 @@
 
 
-      REAL(kind=wp), PARAMETER     :: rsoil_wet(ncmp)    = (/2000.,      10.,    2000.,    -999.,      10.,    -999., -999., -999., -999., -999./)
-      REAL(kind=wp), PARAMETER     :: rsoil_frozen(ncmp) = (/2000.,     500.,    2000.,    -999.,    1000.,    -999., -999., -999., -999., -999./)
+      REAL(kind=wp), PARAMETER     :: rsoil_wet(ncmp)    = &
+          (/2000.,      10.,    2000.,    -999.,      10.,    -999., -999., -999., -999., -999./)
+      REAL(kind=wp), PARAMETER     :: rsoil_frozen(ncmp) = &
+          (/2000.,     500.,    2000.,    -999.,    1000.,    -999., -999., -999., -999., -999./)
 
 
@@ -5027,6 +5041,8 @@
       ! b = empirical constant for computation of rinc (in canopy resistance) (= 14 m-1 or -999 IF not applicable)
       ! h = vegetation height (m)                             grass arabl  crops conIF decid   water  urba   othr  desr   ice  sav  trf   wai   med semi
-      REAL(kind=wp), DIMENSION(nlu_dep), PARAMETER :: b = (/ -999,  14,    14,   14,   14,    -999,  -999, -999, -999, -999, -999, 14, -999, 14, 14 /)
-      REAL(kind=wp), DIMENSION(nlu_dep), PARAMETER :: h = (/ -999,  1,     1,    20,   20,    -999,  -999, -999, -999, -999, -999, 20,  -999, 1 ,  1 /)
+      REAL(kind=wp), DIMENSION(nlu_dep), PARAMETER :: b = &
+        (/ -999,  14,    14,   14,   14,    -999,  -999, -999, -999, -999, -999, 14, -999, 14, 14 /)
+      REAL(kind=wp), DIMENSION(nlu_dep), PARAMETER :: h = &
+        (/ -999,  1,     1,    20,   20,    -999,  -999, -999, -999, -999, -999, 20,  -999, 1 ,  1 /)
 
       ! Compute Rinc only for arable land, perm. crops, forest; otherwise Rinc = 0: