Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 3587)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 3589)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! - Computation of vertical fluxes separated from computation of horizontal 
 !   fluxes. Loops are splitted in order to avoid indirect indexing and allow 
Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 3587)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 3589)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+!
+! 3582 2018-11-29 19:16:36Z suehring
 ! dom_dwd_user:
 ! Clean up biometeorology call
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 3587)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 3589)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! variables documented
 ! 
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 3587)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 3589)
@@ -20,6 +20,4 @@
 ! Current revisions:
 ! -----------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
 ! 
 ! 
@@ -27,4 +25,9 @@
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+! 
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! Call nesting_offl_check_parameters
 ! 
Index: palm/trunk/SOURCE/chem_emissions_mod.f90
===================================================================
--- palm/trunk/SOURCE/chem_emissions_mod.f90	(revision 3587)
+++ palm/trunk/SOURCE/chem_emissions_mod.f90	(revision 3589)
@@ -22,11 +22,14 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! - Removed salsa dependency.
 ! - Enabled PARAMETRIZED mode for default surfaces when LSM is not applied but 
 !   salsa is (M. Kurppa)
 ! 
-! Former revisions:
-! -----------------
-! $Id$
+! 3582 2018-11-29 19:16:36Z suehring
 ! resler:
 ! Break lines at 132 characters
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 3587)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 3589)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! Remove fill_value from bio_data_output_2d call
 ! dom_dwd_user, Schrempf:
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 3587)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 3589)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+!
+! 3582 2018-11-29 19:16:36Z suehring
 ! add variable description; rename variable 'if' into 'ivar'
 ! 
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 3587)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 3589)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Move the control parameter "salsa" from salsa_mod.f90 to control_parameters
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod.f90 to control_parameters
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! add variable description
 ! 
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 3587)
+++ palm/trunk/SOURCE/header.f90	(revision 3589)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! Move the control parameter "salsa" from salsa_mod to control_parameters 
 ! (M. Kurppa)
 !  
-! Former revisions:
-! -----------------
-! $Id$
+! 3582 2018-11-29 19:16:36Z suehring
 ! variables documented
 ! 
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 3587)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 3589)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! Bugfix in initialization of turbulence generator
 ! 
Index: palm/trunk/SOURCE/init_masks.f90
===================================================================
--- palm/trunk/SOURCE/init_masks.f90	(revision 3587)
+++ palm/trunk/SOURCE/init_masks.f90	(revision 3589)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! add variable description
 ! 
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 3587)
+++ palm/trunk/SOURCE/modules.f90	(revision 3589)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! dom_dwd_user, Schrempf:
 ! -uv_exposure flag, UV model is now part of biometeorology_mod
Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3587)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 3589)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! dom_dwd_user, Schrempf:
 ! Remove uv exposure model code, this is now part of biometeorology_mod
Index: palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 3587)
+++ palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 3589)
@@ -22,9 +22,12 @@
 ! Current revisions:
 ! ------------------
-! Formatting adjustments
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Formatting adjustments
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! working precision added to make code Fortran 2008 conform
 ! 
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 3587)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 3589)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! Implementation of a new aerosol module salsa.
 ! Remove cpu-logs from i,j loop in cache version.
Index: palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3587)
+++ palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3589)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! Remove erroneous UTF encoding
+! 
+! 3572 2018-11-28 11:40:28Z suehring
 ! Add filling the short- and longwave radiation flux arrays (e.g. diffuse, 
 ! direct, reflected, resedual) for all surfaces. This is required to surface
@@ -697,5 +700,5 @@
     REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  rad_sw_out_xy_av !< average of outgoing shortwave radiation at surface
 !
-!-- Land surface albedos for solar zenith angle of 60° after Briegleb (1992)     
+!-- Land surface albedos for solar zenith angle of 60degree after Briegleb (1992)     
 !-- (shortwave, longwave, broadband):   sw,      lw,      bb,
     REAL(wp), DIMENSION(0:2,1:33), PARAMETER :: albedo_pars = RESHAPE( (/& 
Index: palm/trunk/SOURCE/read_restart_data_mod.f90
===================================================================
--- palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3587)
+++ palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3589)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! Added chemistry profiles for restart run (basit)
 ! 
Index: palm/trunk/SOURCE/salsa_mod.f90
===================================================================
--- palm/trunk/SOURCE/salsa_mod.f90	(revision 3587)
+++ palm/trunk/SOURCE/salsa_mod.f90	(revision 3589)
@@ -21,4 +21,9 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
 ! - Moved the control parameter "salsa" from salsa_mod.f90 to control_parameters
 ! - Updated salsa_rrd_local and salsa_wrd_local
@@ -27,7 +32,5 @@
 ! - Revise masked data output
 !
-! Former revisions:
-! -----------------
-! $Id$
+! 3582 2018-11-29 19:16:36Z suehring
 ! missing comma separator inserted
 ! 
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 3587)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 3589)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! dom_dwd_user, Schrempf:
 ! Remove CALLs to uv exposure model, this is now part of biometeorology_mod
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 3587)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 3589)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! Implementation of a new aerosol module salsa.
 ! 
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 3587)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 3589)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! ------------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! dom_dwd_user, Schrempf:
 ! Changes due to merge of uv exposure model into biometeorology_mod.
Index: palm/trunk/SOURCE/write_restart_data_mod.f90
===================================================================
--- palm/trunk/SOURCE/write_restart_data_mod.f90	(revision 3587)
+++ palm/trunk/SOURCE/write_restart_data_mod.f90	(revision 3589)
@@ -20,6 +20,4 @@
 ! Current revisions:
 ! -----------------
-! Move the control parameter "salsa" from salsa_mod to control_parameters 
-! (M. Kurppa)
 ! 
 ! 
@@ -27,4 +25,9 @@
 ! -----------------
 ! $Id$
+! Move the control parameter "salsa" from salsa_mod to control_parameters 
+! (M. Kurppa)
+! 
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! Implementation of a new aerosol module salsa.
 ! 