Index: palm/trunk/SOURCE/biometeorology_mod.f90
===================================================================
--- palm/trunk/SOURCE/biometeorology_mod.f90	(revision 3592)
+++ palm/trunk/SOURCE/biometeorology_mod.f90	(revision 3593)
@@ -27,4 +27,8 @@
 ! -----------------
 ! $Id$
+! Bugfix: additional tmrt_grid allocation in case bio_mrt not selected as ouput,
+! replace degree symbol by degree_C
+! 
+! 3582 2018-11-29 19:16:36Z suehring
 ! Consistently use bio_fill_value everywhere,
 ! move allocation and initialization of output variables to bio_check_data_output
@@ -128,14 +132,14 @@
 !
 !-- Declare all global variables within the module (alphabetical order)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  tmrt_grid  !< tmrt results (Â°C)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  perct      !< PT results   (Â°C)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  utci       !< UTCI results (Â°C)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  pet        !< PET results  (Â°C)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  tmrt_grid  !< tmrt results (degree_C)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  perct      !< PT results   (degree_C)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  utci       !< UTCI results (degree_C)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  pet        !< PET results  (degree_C)
 !
 !-- Grids for averaged thermal indices
     REAL(wp), DIMENSION(:), ALLOCATABLE   ::  mrt_av_grid   !< time average mean
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  perct_av      !< PT results (aver. input)   (Â°C)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  utci_av       !< UTCI results (aver. input) (Â°C)
-    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  pet_av        !< PET results (aver. input)  (Â°C)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  perct_av      !< PT results (aver. input)   (degree_C)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  utci_av       !< UTCI results (aver. input) (degree_C)
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  pet_av        !< PET results (aver. input)  (degree_C)
 
 
@@ -636,5 +640,5 @@
 !
 !-- Allocate a temporary array with the desired output dimensions.
-       CASE ( 'bio_mrt')
+       CASE ( 'bio_mrt' )
           unit = 'degree_C'
           IF ( .NOT. ALLOCATED( tmrt_grid ) )  THEN
@@ -1185,7 +1189,12 @@
 
 !
-!-- Calculate biometeorology MRT from local radiation
-!   fluxes calculated by RTM and assign into 2D grid
-    tmrt_grid = bio_fill_value
+!-- Calculate biometeorology MRT from local radiation fluxes calculated by RTM and assign
+!-- into 2D grid. Depending on selected output quantities, tmrt_grid might not have been
+!-- allocated in bio_check_data_output yet.
+    IF ( .NOT. ALLOCATED( tmrt_grid ) )  THEN
+       ALLOCATE( tmrt_grid (nys:nyn,nxl:nxr) )
+    ENDIF
+    tmrt_grid = REAL( bio_fill_value, KIND = wp )
+
     DO  l = 1, nmrtbl
        i = mrtbl(ix,l)
@@ -1224,6 +1233,6 @@
 !
 !-- Output parameters
-    REAL(wp), INTENT ( OUT )    ::  tmrt  !< Mean radiant temperature        (Â°C)
-    REAL(wp), INTENT ( OUT )    ::  ta    !< Air temperature                 (Â°C)
+    REAL(wp), INTENT ( OUT )    ::  tmrt  !< Mean radiant temperature        (degree_C)
+    REAL(wp), INTENT ( OUT )    ::  ta    !< Air temperature                 (degree_C)
     REAL(wp), INTENT ( OUT )    ::  vp    !< Vapour pressure                 (hPa)
     REAL(wp), INTENT ( OUT )    ::  ws    !< Wind speed    (local level)     (m/s)
@@ -1322,12 +1331,12 @@
 
     REAL(wp) ::  clo          !< Clothing index                (no dimension)
-    REAL(wp) ::  ta           !< Air temperature                  (Â°C)
+    REAL(wp) ::  ta           !< Air temperature                  (degree_C)
     REAL(wp) ::  vp           !< Vapour pressure                  (hPa)
     REAL(wp) ::  ws           !< Wind speed    (local level)      (m/s)
     REAL(wp) ::  pair         !< Air pressure                     (hPa)
-    REAL(wp) ::  perct_ij     !< Perceived temperature            (Â°C)
-    REAL(wp) ::  utci_ij      !< Universal thermal climate index  (Â°C)
-    REAL(wp) ::  pet_ij       !< Physiologically equivalent temperature  (Â°C)
-    REAL(wp) ::  tmrt_ij      !< Mean radiant temperature         (Â°C)
+    REAL(wp) ::  perct_ij     !< Perceived temperature            (degree_C)
+    REAL(wp) ::  utci_ij      !< Universal thermal climate index  (degree_C)
+    REAL(wp) ::  pet_ij       !< Physiologically equivalent temperature  (degree_C)
+    REAL(wp) ::  tmrt_ij      !< Mean radiant temperature         (degree_C)
 
 !
@@ -1423,9 +1432,9 @@
 !
 !-- Input parameters
-    REAL(wp), INTENT ( IN )  ::  ta   !< Air temperature                  (Â°C)
+    REAL(wp), INTENT ( IN )  ::  ta   !< Air temperature                  (degree_C)
     REAL(wp), INTENT ( IN )  ::  vp   !< Vapour pressure                  (hPa)
     REAL(wp), INTENT ( IN )  ::  ws   !< Wind speed    (local level)      (m/s)
     REAL(wp), INTENT ( IN )  ::  pair !< Air pressure                     (hPa)
-    REAL(wp), INTENT ( IN )  ::  tmrt !< Mean radiant temperature         (Â°C)
+    REAL(wp), INTENT ( IN )  ::  tmrt !< Mean radiant temperature         (degree_C)
     REAL(wp), INTENT ( IN )  ::  dt   !< Time past since last calculation (s)
     REAL(wp), INTENT ( IN )  ::  age  !< Age of agent                     (y)
@@ -1438,5 +1447,5 @@
 !-- Both, input and output parameters
     Real(wp), INTENT ( INOUT )  ::  energy_storage    !< Energy storage   (W/mÂ²)
-    Real(wp), INTENT ( INOUT )  ::  t_clo   !< Clothing temperature       (Â°C)
+    Real(wp), INTENT ( INOUT )  ::  t_clo   !< Clothing temperature       (degree_C)
     Real(wp), INTENT ( INOUT )  ::  clo     !< Current clothing in sulation
     Real(wp), INTENT ( INOUT )  ::  actlev  !< Individuals activity level
@@ -1444,5 +1453,5 @@
 !
 !-- Output parameters
-    REAL(wp), INTENT ( OUT ) ::  ipt    !< Instationary perceived temp.   (Â°C)
+    REAL(wp), INTENT ( OUT ) ::  ipt    !< Instationary perceived temp.   (degree_C)
 !
 !-- If clo equals the initial value, this is the initial call
@@ -1484,18 +1493,18 @@
 !
 !-- Type of input of the argument list
-    REAL(WP), INTENT ( IN )  ::  ta_in    !< Local air temperature (Â°C)
+    REAL(WP), INTENT ( IN )  ::  ta_in    !< Local air temperature (degree_C)
     REAL(WP), INTENT ( IN )  ::  vp       !< Loacl vapour pressure (hPa)
     REAL(WP), INTENT ( IN )  ::  ws_hag   !< Incident wind speed (m/s)
-    REAL(WP), INTENT ( IN )  ::  tmrt     !< Local mean radiant temperature (Â°C)
+    REAL(WP), INTENT ( IN )  ::  tmrt     !< Local mean radiant temperature (degree_C)
     REAL(WP), INTENT ( IN )  ::  hag      !< Height of wind speed input (m)
 !
 !-- Type of output of the argument list
-    REAL(wp), INTENT ( OUT ) ::  utci_ij  !< Universal Thermal Climate Index (Â°C)
-
-    REAL(WP) ::  ta           !< air temperature modified by offset (Â°C)
+    REAL(wp), INTENT ( OUT ) ::  utci_ij  !< Universal Thermal Climate Index (degree_C)
+
+    REAL(WP) ::  ta           !< air temperature modified by offset (degree_C)
     REAL(WP) ::  pa           !< air pressure in kPa      (kPa)
-    REAL(WP) ::  d_tmrt       !< delta-tmrt               (Â°C)
+    REAL(WP) ::  d_tmrt       !< delta-tmrt               (degree_C)
     REAL(WP) ::  va           !< wind speed at 10 m above ground level    (m/s)
-    REAL(WP) ::  offset       !< utci deviation by ta cond. exceeded      (Â°C)
+    REAL(WP) ::  offset       !< utci deviation by ta cond. exceeded      (degree_C)
     REAL(WP) ::  part_ta      !< Air temperature related part of the regression
     REAL(WP) ::  ta2          !< 2 times ta
@@ -1823,5 +1832,5 @@
 ! Description:
 ! ------------
-!> calculate_perct_static: Estimation of perceived temperature (PT, degC)
+!> calculate_perct_static: Estimation of perceived temperature (PT, degree_C)
 !> Value of perct is the Perceived Temperature, degree centigrade
 !------------------------------------------------------------------------------!
@@ -1860,8 +1869,8 @@
     REAL(wp) ::  pmv_s          !< Fangers predicted mean vote for summer clothing
     REAL(wp) ::  pmva           !< adjusted predicted mean vote
-    REAL(wp) ::  ptc            !< perceived temp. for cold conditions (Â°C)
+    REAL(wp) ::  ptc            !< perceived temp. for cold conditions (degree_C)
     REAL(wp) ::  d_std          !< factor to threshold for sultriness
     REAL(wp) ::  pmvs           !< pred. mean vote considering sultrieness
-    REAL(wp) ::  top            !< Gagge's operative temperatures (Â°C)
+    REAL(wp) ::  top            !< Gagge's operative temperatures (degree_C)
 
     INTEGER(iwp) :: ncount      !< running index
@@ -2244,5 +2253,5 @@
     REAL(wp) ::  heat_convection  !< energy loss by autocnvection       (W)
     REAL(wp) ::  activity     !< persons activity  (must stay == actlev, W)
-    REAL(wp) ::  t_skin_aver  !< average skin temperature               (Â°C)
+    REAL(wp) ::  t_skin_aver  !< average skin temperature               (degree_C)
     REAL(wp) ::  bc           !< preliminary result storage
     REAL(wp) ::  cc           !< preliminary result storage
@@ -2250,5 +2259,5 @@
     REAL(wp) ::  ec           !< preliminary result storage
     REAL(wp) ::  gc           !< preliminary result storage
-    REAL(wp) ::  t_clothing   !< clothing temperature                   (Â°C)
+    REAL(wp) ::  t_clothing   !< clothing temperature                   (degree_C)
     REAL(wp) ::  hr           !< radiational heat resistence
     REAL(wp) ::  clo          !< clothing insulation index              (clo)
@@ -2892,8 +2901,8 @@
     REAL(wp), INTENT(in) ::  height     !< Persons height       (m)
     REAL(wp), INTENT(in) ::  work       !< Current workload     (W)
-    REAL(wp), INTENT(in) ::  ta         !< Air Temperature      (Â°C)
+    REAL(wp), INTENT(in) ::  ta         !< Air Temperature      (degree_C)
     REAL(wp), INTENT(in) ::  vp         !< Vapor pressure       (hPa)
     REAL(wp), INTENT(in) ::  ws         !< Wind speed in approx. 1.1m (m/s)
-    REAL(wp), INTENT(in) ::  tmrt       !< Mean radiant temperature   (Â°C)
+    REAL(wp), INTENT(in) ::  tmrt       !< Mean radiant temperature   (degree_C)
     REAL(wp), INTENT(in) ::  pair       !< Air pressure         (hPa)
     REAL(wp), INTENT(in) ::  dt         !< Timestep             (s)
@@ -3084,5 +3093,5 @@
 !> SUBROUTINE ipt_cycle
 !> Calculates one timestep for the instationary version of perceived
-!> temperature (iPT, Â°C) for
+!> temperature (iPT, degree_C) for
 !>  - standard measured/predicted meteorological values and TMRT 
 !>    as input;
@@ -3099,7 +3108,7 @@
 !
 !-- Type of input of the argument list
-    REAL(wp), INTENT ( IN )  ::  ta      !< Air temperature             (Â°C)
+    REAL(wp), INTENT ( IN )  ::  ta      !< Air temperature             (degree_C)
     REAL(wp), INTENT ( IN )  ::  vp      !< Vapor pressure              (hPa)
-    REAL(wp), INTENT ( IN )  ::  tmrt    !< Mean radiant temperature    (Â°C)
+    REAL(wp), INTENT ( IN )  ::  tmrt    !< Mean radiant temperature    (degree_C)
     REAL(wp), INTENT ( IN )  ::  ws      !< Wind speed                  (m/s)
     REAL(wp), INTENT ( IN )  ::  pair    !< Air pressure                (hPa)
@@ -3111,8 +3120,8 @@
 !-- In and output parameters
     REAL(wp), INTENT (INOUT) ::  storage     !< Heat storage            (W)
-    REAL(wp), INTENT (INOUT) ::  t_clothing  !< Clothig temperature     (Â°C)
+    REAL(wp), INTENT (INOUT) ::  t_clothing  !< Clothig temperature     (degree_C)
 !
 !-- Type of output of the argument list
-    REAL(wp), INTENT ( OUT ) ::  ipt  !< Instationary perceived temperature (Â°C)
+    REAL(wp), INTENT ( OUT ) ::  ipt  !< Instationary perceived temperature (degree_C)
 !
 !-- Type of internal variables
@@ -3191,6 +3200,6 @@
 !
 !--  Input argument types
-    REAL(wp), INTENT ( IN )  ::  ta       !< Air temperature          (Â°C)
-    REAL(wp), INTENT ( IN )  ::  tmrt     !< Mean radiant temperature (Â°C)
+    REAL(wp), INTENT ( IN )  ::  ta       !< Air temperature          (degree_C)
+    REAL(wp), INTENT ( IN )  ::  tmrt     !< Mean radiant temperature (degree_C)
     REAL(wp), INTENT ( IN )  ::  pa       !< Vapour pressure          (hPa)
     REAL(wp), INTENT ( IN )  ::  pair     !< Air pressure             (hPa)
@@ -3205,5 +3214,5 @@
 
     REAL(wp), INTENT (INOUT) ::  s  !< storage var. of energy balance (W/m2)
-    REAL(wp), INTENT (INOUT) ::  t_cloth  !< clothing temperature (Â°C)
+    REAL(wp), INTENT (INOUT) ::  t_cloth  !< clothing temperature (degree_C)
 !
 !-- Internal variables
@@ -3212,5 +3221,5 @@
     REAL(wp) ::  f_cl         !< Increase in surface due to clothing    (factor)
     REAL(wp) ::  heat_convection  !< energy loss by autocnvection       (W)
-    REAL(wp) ::  t_skin_aver  !< average skin temperature               (Â°C)
+    REAL(wp) ::  t_skin_aver  !< average skin temperature               (degree_C)
     REAL(wp) ::  bc           !< preliminary result storage
     REAL(wp) ::  cc           !< preliminary result storage
@@ -3218,5 +3227,5 @@
     REAL(wp) ::  ec           !< preliminary result storage
     REAL(wp) ::  gc           !< preliminary result storage
-    REAL(wp) ::  t_clothing   !< clothing temperature                   (Â°C)
+    REAL(wp) ::  t_clothing   !< clothing temperature                   (degree_C)
 !     REAL(wp) ::  hr           !< radiational heat resistence
     REAL(wp) ::  clo          !< clothing insulation index              (clo)
@@ -3338,6 +3347,6 @@
 !
 !-- Input arguments:
-    REAL(wp), INTENT( IN ) ::  ta    !< Air temperature             (Â°C)
-    REAL(wp), INTENT( IN ) ::  tmrt  !< Mean radiant temperature    (Â°C)
+    REAL(wp), INTENT( IN ) ::  ta    !< Air temperature             (degree_C)
+    REAL(wp), INTENT( IN ) ::  tmrt  !< Mean radiant temperature    (degree_C)
     REAL(wp), INTENT( IN ) ::  v     !< Wind speed                  (m/s)
     REAL(wp), INTENT( IN ) ::  vpa   !< Vapor pressure              (hPa)
@@ -3345,5 +3354,5 @@
 !
 !-- Output arguments:
-    REAL(wp), INTENT ( OUT ) ::  pet_ij  !< PET                     (Â°C)
+    REAL(wp), INTENT ( OUT ) ::  pet_ij  !< PET                     (degree_C)
 !
 !-- Internal variables:
@@ -3360,6 +3369,6 @@
     REAL(wp) ::  rtv
     REAL(wp) ::  vpts       !< Sat. vapor pressure over skin        (hPa)
-    REAL(wp) ::  tsk        !< Skin temperature                     (Â°C)
-    REAL(wp) ::  tcl        !< Clothing temperature                 (Â°C)
+    REAL(wp) ::  tsk        !< Skin temperature                     (degree_C)
+    REAL(wp) ::  tcl        !< Clothing temperature                 (degree_C)
     REAL(wp) ::  wetsk      !< Fraction of wet skin                 (factor)
 !
@@ -3412,5 +3421,5 @@
 !-- Input arguments:
     REAL(wp), INTENT( IN )  ::  pair      !< air pressure             (hPa)
-    REAL(wp), INTENT( IN )  ::  ta        !< air temperature          (Â°C)
+    REAL(wp), INTENT( IN )  ::  ta        !< air temperature          (degree_C)
     REAL(wp), INTENT( IN )  ::  vpa       !< vapor pressure           (hPa)
     REAL(wp), INTENT( IN )  ::  age       !< Persons age              (a)
@@ -3474,6 +3483,6 @@
     REAL(wp), INTENT( IN )  ::  int_heat  !< internal heat production (W)
     REAL(wp), INTENT( IN )  ::  pair   !< Air pressure             (hPa)
-    REAL(wp), INTENT( IN )  ::  ta     !< Air temperature          (Â°C)
-    REAL(wp), INTENT( IN )  ::  tmrt   !< Mean radiant temperature (Â°C)
+    REAL(wp), INTENT( IN )  ::  ta     !< Air temperature          (degree_C)
+    REAL(wp), INTENT( IN )  ::  tmrt   !< Mean radiant temperature (degree_C)
     REAL(wp), INTENT( IN )  ::  v      !< Wind speed               (m/s)
     REAL(wp), INTENT( IN )  ::  vpa    !< Vapor pressure           (hPa)
@@ -3492,6 +3501,6 @@
     REAL(wp), INTENT( OUT ) ::  rdcl   !< Diffusion resistence of clothing (factor)
     REAL(wp), INTENT( OUT ) ::  rdsk   !< Diffusion resistence of skin (factor)
-    REAL(wp), INTENT( OUT ) ::  tcl    !< Clothing temperature         (Â°C)
-    REAL(wp), INTENT( OUT ) ::  tsk    !< Skin temperature             (Â°C)
+    REAL(wp), INTENT( OUT ) ::  tcl    !< Clothing temperature         (degree_C)
+    REAL(wp), INTENT( OUT ) ::  tsk    !< Skin temperature             (degree_C)
     REAL(wp), INTENT( OUT ) ::  vpts   !< Sat. vapor pressure over skin (hPa)
     REAL(wp), INTENT( OUT ) ::  wetsk  !< Fraction of wet skin (dimensionless)
@@ -3508,5 +3517,5 @@
 !
 !-- Internal variables
-    REAL(wp) ::  c(0:10)        !< Core temperature array           (Â°C)
+    REAL(wp) ::  c(0:10)        !< Core temperature array           (degree_C)
     REAL(wp) ::  cbare          !< Convection through bare skin
     REAL(wp) ::  cclo           !< Convection through clothing
@@ -3753,7 +3762,7 @@
     REAL(wp), INTENT( IN ) ::  rdsk  !< diffusion resistence of skin (factor)
     REAL(wp), INTENT( IN ) ::  rtv   !< respiratory volume
-    REAL(wp), INTENT( IN ) ::  ta    !< air temperature              (Â°C)
-    REAL(wp), INTENT( IN ) ::  tcl   !< clothing temperature         (Â°C)
-    REAL(wp), INTENT( IN ) ::  tsk   !< skin temperature             (Â°C)
+    REAL(wp), INTENT( IN ) ::  ta    !< air temperature              (degree_C)
+    REAL(wp), INTENT( IN ) ::  tcl   !< clothing temperature         (degree_C)
+    REAL(wp), INTENT( IN ) ::  tsk   !< skin temperature             (degree_C)
     REAL(wp), INTENT( IN ) ::  vpts  !< sat. vapor pressure over skin (hPa)
     REAL(wp), INTENT( IN ) ::  wetsk !< fraction of wet skin (dimensionless)
@@ -3761,5 +3770,5 @@
 !-- Output arguments:
     REAL(wp), INTENT( OUT ) ::  aeff     !< effective surface area       (mÂ²)
-    REAL(wp), INTENT( OUT ) ::  pet_ij   !< PET                          (Â°C)
+    REAL(wp), INTENT( OUT ) ::  pet_ij   !< PET                          (degree_C)
 !
 !-- Cconstants:
@@ -3782,5 +3791,5 @@
     REAL ( wp ) ::  rclo              !< Radiational loss of clothing   (W/mÂ²)
     REAL ( wp ) ::  rsum              !< Radiational loss or gain       (W/mÂ²)
-    REAL ( wp ) ::  tex               !< Temperat. of exhaled air       (Â°C)
+    REAL ( wp ) ::  tex               !< Temperat. of exhaled air       (degree_C)
     REAL ( wp ) ::  vpex              !< Vapor pressure of exhaled air  (hPa)
     REAL ( wp ) ::  xx                !< Delta PET per iteration        (K)
Index: palm/trunk/SOURCE/indoor_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/indoor_model_mod.f90	(revision 3592)
+++ palm/trunk/SOURCE/indoor_model_mod.f90	(revision 3593)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Replace degree symbol by degree_C
+!
+! 3524 2018-11-14 13:36:44Z raasch
 ! working precision added to make code Fortran 2008 conform
 ! 
@@ -182,16 +185,16 @@
     REAL(wp) ::  schedule_d                  !< activation for internal loads (low or high + low)
     REAL(wp) ::  skip_time_do_indoor = 0.0_wp  !< [s] Indoor model is not called before this time
-    REAL(wp) ::  theta_air                   !<! [Â°C] air temperature of the RC-node
-    REAL(wp) ::  theta_air_0                 !<! [oC] air temperature of the RC-node in equilibrium
-    REAL(wp) ::  theta_air_10                !<! [oC] air temperature of the RC-node from a heating capacity of 10 W/mÂ²
-    REAL(wp) ::  theta_air_ac                !< [oC] actual room temperature after heating/cooling
-    REAL(wp) ::  theta_air_set               !< [oC] Setpoint_temperature for the room
-    REAL(wp) ::  theta_int_c_set             !< [oC] Max. Setpoint temperature (summer)
-    REAL(wp) ::  theta_int_h_set             !< [oC] Max. Setpoint temperature (winter)
-    REAL(wp) ::  theta_m                     !<! [oC} inner temperature of the RC-node
-    REAL(wp) ::  theta_m_t                   !<! [oC] (Fictive) component temperature timestep
-    REAL(wp) ::  theta_m_t_prev              !< [oC] (Fictive) component temperature previous timestep (do not change)
-    REAL(wp) ::  theta_op                    !< [oC] operative temperature
-    REAL(wp) ::  theta_s                     !<! [oC] surface temperature of the RC-node
+    REAL(wp) ::  theta_air                   !<! [degree_C] air temperature of the RC-node
+    REAL(wp) ::  theta_air_0                 !<! [degree_C] air temperature of the RC-node in equilibrium
+    REAL(wp) ::  theta_air_10                !<! [degree_C] air temperature of the RC-node from a heating capacity of 10 W/mÂ²
+    REAL(wp) ::  theta_air_ac                !< [degree_C] actual room temperature after heating/cooling
+    REAL(wp) ::  theta_air_set               !< [degree_C] Setpoint_temperature for the room
+    REAL(wp) ::  theta_int_c_set             !< [degree_C] Max. Setpoint temperature (summer)
+    REAL(wp) ::  theta_int_h_set             !< [degree_C] Max. Setpoint temperature (winter)
+    REAL(wp) ::  theta_m                     !<! [degree_C} inner temperature of the RC-node
+    REAL(wp) ::  theta_m_t                   !<! [degree_C] (Fictive) component temperature timestep
+    REAL(wp) ::  theta_m_t_prev              !< [degree_C] (Fictive) component temperature previous timestep (do not change)
+    REAL(wp) ::  theta_op                    !< [degree_C] operative temperature
+    REAL(wp) ::  theta_s                     !<! [degree_C] surface temperature of the RC-node
     REAL(wp) ::  time_indoor = 0.0_wp        !< [s] time since last call of indoor model
     REAL(wp) ::  time_utc_hour               !< Time in hours per day (UTC)
@@ -279,5 +282,5 @@
                                                  + near_facade_temperature )   &
                                    ) / h_tr_2                                  &
-               )                                                                !< [oC] Eq. (C.5)
+               )                                                                !< [degree_C] Eq. (C.5)
     
     !< Calculation of component temperature at factual timestep
@@ -286,8 +289,8 @@
                   )                                                              &
                   /   ( ( c_m / 3600 ) + 0.5 * ( h_tr_3 + h_tr_em ) )            &
-                )                                                               !< [oC] Eq. (C.4)
+                )                                                               !< [degree_C] Eq. (C.4)
 
     !< Calculation of mean inner temperature for the RC-node in actual timestep
-    theta_m = ( theta_m_t + theta_m_t_prev ) * 0.5                              !< [oC] Eq. (C.9)
+    theta_m = ( theta_m_t + theta_m_t_prev ) * 0.5                              !< [degree_C] Eq. (C.9)
     
     !< Calculation of mean surface temperature of the RC-node in actual timestep
@@ -296,9 +299,9 @@
                 )                                                                           &
                 / ( h_tr_ms + h_tr_w + h_tr_1 )                                             &
-              )                                                                 !< [oC] Eq. (C.10)
+              )                                                                 !< [degree_C] Eq. (C.10)
     
     !< Calculation of the air temperature of the RC-node
     theta_air = ( h_tr_is * theta_s + h_ve * near_facade_temperature         &
-                                    + phi_ia + phi_hc_nd_dummy ) / ( h_tr_is + h_ve ) !< [oC] Eq. (C.11)
+                                    + phi_ia + phi_hc_nd_dummy ) / ( h_tr_is + h_ve ) !< [degree_C] Eq. (C.11)
 
  END SUBROUTINE im_calc_temperatures
@@ -1100,5 +1103,5 @@
 !--          Calculate the operating temperature with weighted mean temperature of air and mean solar temperature
 !--          Will be used for thermal comfort calculations 
-             theta_op     = 0.3 * theta_air_ac + 0.7 * theta_s          !< [Â°C] operative Temperature Eq. (C.12)
+             theta_op     = 0.3 * theta_air_ac + 0.7 * theta_s          !< [degree_C] operative Temperature Eq. (C.12)
 !
 !--          Heat flux into the wall. Value needed in urban_surface_mod to 
Index: palm/trunk/SOURCE/multi_agent_system_mod.f90
===================================================================
--- palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 3592)
+++ palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 3593)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Replace degree symbol by degree_C/degrees
+!
+! 3587 2018-11-30 13:52:19Z sward
 ! Added output of agent substep time
 ! 
@@ -237,5 +240,5 @@
         REAL(wp)     ::  speed_x              !< speed of agent in x
         REAL(wp)     ::  speed_y              !< speed of agent in y
-        REAL(wp)     ::  ipt                  !< instationary thermal index iPT (Â°C)
+        REAL(wp)     ::  ipt                  !< instationary thermal index iPT (degree_C)
         REAL(wp)     ::  windspeed            !< absolute value of windspeed at agent position
         REAL(wp)     ::  x                    !< x-position
@@ -363,6 +366,6 @@
     INTEGER(iwp)                :: a     !< agent iterator
     !-- local meteorological conditions
-    REAL(wp)                    :: tmrt  !< mean radiant temperature        (Â°C)
-    REAL(wp)                    :: ta    !< air temperature                 (Â°C)
+    REAL(wp)                    :: tmrt  !< mean radiant temperature        (degree_C)
+    REAL(wp)                    :: ta    !< air temperature                 (degree_C)
     REAL(wp)                    :: vp    !< vapour pressure                 (hPa)
     REAL(wp)                    :: v     !< wind speed    (local level)     (m/s)
@@ -4574,5 +4577,5 @@
 
 ! !--    forces that are located outside of a sight radius of 
-! !--    200Â° (-> COS(100./180.*pi) = COS(.555*pi)) of
+! !--    200 degrees (-> COS(100./180.*pi) = COS(.555*pi)) of
 ! !--    current agent are considered to have an effect of 50%
 !        IF ( force_d_x * agents(nl)%speed_e_x +               &
Index: palm/trunk/SOURCE/surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_mod.f90	(revision 3592)
+++ palm/trunk/SOURCE/surface_mod.f90	(revision 3593)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Replace degree symbol by 'degrees'
+! 
+! 3572 2018-11-28 11:40:28Z suehring
 ! Define short- and longwave radiation flux arrays (e.g. diffuse, direct,
 ! reflected, resedual) for all surfaces. This is required to surface outputs
@@ -376,12 +379,12 @@
        REAL(wp), DIMENSION(:,:), ALLOCATABLE ::  frac              !< relative surface fraction (LSM: vegetation, water, pavement; USM: wall, green, window)
 
-       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  aldif           !< albedo for longwave diffusive radiation, solar angle of 60Â°
-       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  aldir           !< albedo for longwave direct radiation, solar angle of 60Â°
-       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  asdif           !< albedo for shortwave diffusive radiation, solar angle of 60Â°
-       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  asdir           !< albedo for shortwave direct radiation, solar angle of 60Â°
-       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  rrtm_aldif      !< albedo for longwave diffusive radiation, solar angle of 60Â°
-       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  rrtm_aldir      !< albedo for longwave direct radiation, solar angle of 60Â°
-       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  rrtm_asdif      !< albedo for shortwave diffusive radiation, solar angle of 60Â°
-       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  rrtm_asdir      !< albedo for shortwave direct radiation, solar angle of 60Â°
+       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  aldif           !< albedo for longwave diffusive radiation, solar angle of 60 degrees
+       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  aldir           !< albedo for longwave direct radiation, solar angle of 60 degrees
+       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  asdif           !< albedo for shortwave diffusive radiation, solar angle of 60 degrees
+       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  asdir           !< albedo for shortwave direct radiation, solar angle of 60 degrees
+       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  rrtm_aldif      !< albedo for longwave diffusive radiation, solar angle of 60 degrees
+       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  rrtm_aldir      !< albedo for longwave direct radiation, solar angle of 60 degrees
+       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  rrtm_asdif      !< albedo for shortwave diffusive radiation, solar angle of 60 degrees
+       REAL(wp), DIMENSION(:,:), ALLOCATABLE   ::  rrtm_asdir      !< albedo for shortwave direct radiation, solar angle of 60 degrees
 
        REAL(wp), DIMENSION(:), ALLOCATABLE   ::  q_surface         !< skin-surface mixing ratio
Index: palm/trunk/SOURCE/wind_turbine_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 3592)
+++ palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 3593)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Replace degree symbol by 'degrees'
+!
+! 3274 2018-09-24 15:42:55Z knoop
 ! Modularization of all bulk cloud physics code components
 ! 
@@ -1536,5 +1539,5 @@
              turb_cl_sel2 = 0.0_wp
 
-             turb_cd_tab(1,iir) = 0.0_wp  ! For -180Â° (iialpha=1) the values    
+             turb_cd_tab(1,iir) = 0.0_wp  ! For -180 degrees (iialpha=1) the values    
              turb_cl_tab(1,iir) = 0.0_wp  ! for each radius has to be set
                                           ! explicitly              
@@ -1545,5 +1548,5 @@
              turb_cl_sel2 = turb_cl_table(:,t2)
 !
-!--          For -180Â° (iialpha=1) the values for each radius has to be set 
+!--          For -180 degrees (iialpha=1) the values for each radius has to be set 
 !--          explicitly 
              turb_cd_tab(1,iir) = ( weight_a * turb_cd_table(1,t1) + weight_b  & 
@@ -2544,6 +2547,6 @@
 !--    The yaw controller computes a 30s running mean of the wind direction.
 !--    If the difference between turbine alignment and wind direction exceeds
-!--    5Â°, the turbine is yawed. The mechanism stops as soon as the 2s-running
-!--    mean of the missalignment is smaller than 0.5Â°.
+!--    5 degrees, the turbine is yawed. The mechanism stops as soon as the 2s-running
+!--    mean of the missalignment is smaller than 0.5 degrees.
 !--    Attention: If the timestep during the simulation changes significantly
 !--    the lengths of the running means change and it does not correspond to