Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/chem_gasphase_mod.f90	(revision 3590)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/chem_gasphase_mod.f90	(revision 3606)
@@ -113,6 +113,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:10 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -199,6 +199,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:10 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -266,6 +266,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:10 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -316,6 +316,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:10 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -385,6 +385,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:10 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -411,6 +411,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:10 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -469,6 +469,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:10 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -496,6 +496,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:10 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -523,6 +523,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:10 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -552,6 +552,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:10 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -578,6 +578,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:10 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -976,5 +976,5 @@
 
   rconst(1) = (phot(j_no2))
-  rconst(2) = (phot(j_o31d))
+  rconst(2) = (phot(j_o31d) * 0.1_dp)
   rconst(3) = (arr2(1.8e-12_dp , 1370.0_dp , temp))
   rconst(4) = (arr2(2.e-11_dp , 500.0_dp , temp))
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/simple.eqn
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/simple.eqn	(revision 3590)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/simple.eqn	(revision 3606)
@@ -10,5 +10,5 @@
 
   { 1.}  NO2 + hv = NO + O3 :                   phot(j_no2)  ;
-  { 2.}  O3 + hv = 2OH + O2 :                   phot(j_o31d)  ;
+  { 2.}  O3 + hv = 2OH + O2 :                   phot(j_o31d) * 0.1_dp ;
   { 3.}  NO + O3 = NO2 :                     arr2(1.8E-12_dp, 1370.0_dp, temp) ;
   { 4.}  RH + OH = RO2 + H2O :               arr2(2.E-11_dp, 500.0_dp, temp) ;
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/chem_gasphase_mod.f90	(revision 3590)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/chem_gasphase_mod.f90	(revision 3606)
@@ -113,6 +113,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:15 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -200,6 +200,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:15 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -267,6 +267,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:15 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -317,6 +317,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:15 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -387,6 +387,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:15 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -413,6 +413,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:15 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -471,6 +471,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:15 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -498,6 +498,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:15 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -525,6 +525,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:15 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -554,6 +554,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:15 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -580,6 +580,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Fri Nov 30 13:52:21 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Fri Dec  7 12:47:15 2018
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20181206/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -983,5 +983,5 @@
 
   rconst(1) = (phot(j_no2))
-  rconst(2) = (phot(j_o31d))
+  rconst(2) = (phot(j_o31d) * 0.1_dp)
   rconst(3) = (arr2(1.8e-12_dp , 1370.0_dp , temp))
   rconst(4) = (arr2(2.e-11_dp , 500.0_dp , temp))
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/simplep.eqn
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/simplep.eqn	(revision 3590)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/simplep.eqn	(revision 3606)
@@ -10,5 +10,5 @@
 
   { 1.}  NO2 + hv = NO + O3 :                   phot(j_no2)  ;
-  { 2.}  O3 + hv = 2OH + O2 :                   phot(j_o31d)  ;
+  { 2.}  O3 + hv = 2OH + O2 :                   phot(j_o31d) * 0.1_dp ;
   { 3.}  NO + O3 = NO2 :                     arr2(1.8E-12_dp, 1370.0_dp, temp) ;
   { 4.}  RH + OH = RO2 + H2O :               arr2(2.E-11_dp, 500.0_dp, temp) ;